Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLABAD

    java.lang.Object
      org.netlib.lapack.SLABAD

    public class SLABAD

extends java.lang.Object

    SLABAD is a simplified interface to the JLAPACK routine slabad.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLABAD takes as input the values computed by SLAMCH for underflow and
     *  overflow, and returns the square root of each of these values if the

     *  log of LARGE is sufficiently large.  This subroutine is intended to
     *  identify machines with a large exponent range, such as the Crays, and
     *  redefine the underflow and overflow limits to be the square roots of

     *  the values computed by SLAMCH.  This subroutine is needed because
     *  SLAMCH does not compensate for poor arithmetic in the upper half of
     *  the exponent range, as is found on a Cray.
     *
     *  Arguments
     *  =========
     *
     *  SMALL   (input/output) REAL
     *          On entry, the underflow threshold as computed by SLAMCH.
     *          On exit, if LOG10(LARGE) is sufficiently large, the square
     *          root of SMALL, otherwise unchanged.
     *
     *  LARGE   (input/output) REAL
     *          On entry, the overflow threshold as computed by SLAMCH.
     *          On exit, if LOG10(LARGE) is sufficiently large, the square
     *          root of LARGE, otherwise unchanged.
     *
     *  =====================================================================
     *
     *     .. Intrinsic Functions ..

Constructor Summary
`SLABAD()`

Method Summary
`static void` | `SLABAD(floatW small, floatW large)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLABAD

    public SLABAD()

Method Detail

### SLABAD

    public static void SLABAD(floatW small,
                              floatW large)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD